---
title: Create Deployment
description: Create a new deployment for a specific chat and version. This will trigger a deployment to Vercel.
docs_index: /docs/llms.txt
lastUpdated: 2026-10-23
product: v0 API
type: reference
prerequisites:
  - /docs/api/v1/quickstart
---

> For an index of all documentation, see [/docs/llms.txt](/docs/llms.txt).

Create a new deployment for a specific chat and version. This will trigger a deployment to Vercel.

#### `POST /v1/deployments`

## Usage

```typescript
import { v0 } from 'v0-sdk'

const result = await v0.deployments.create({
  chatId: '123',
  versionId: '123',
})

console.log(result)
```

```bash
curl -X POST https://api.v0.dev/v1/deployments   -H "Authorization: Bearer $V0_API_KEY"   -H "Content-Type: application/json"   -d '{
    "chatId": "123",
    "versionId": "123"
  }'
```

## API Signature

### Request

#### Body

- `projectId?: string` **Deprecated.**
- `chatId: string`
- `versionId: string`

### Response

- `id: string` A unique identifier for the deployment.
- `object: 'deployment'` Fixed value identifying this object as a deployment.
- `inspectorUrl: string` URL to the deployment inspector.
- `chatId: string` The ID of the chat that this deployment is scoped to.
- `projectId?: string` **Deprecated.** The ID of the project that this deployment is scoped to.
- `versionId: string` The ID of the version that this deployment is scoped to.
- `apiUrl: string` The API endpoint URL for accessing this deployment programmatically.
- `webUrl: string` The web URL where the deployment can be viewed or managed.

---

For a semantic overview of all documentation, see [/docs/sitemap.md](/docs/sitemap.md)

For an index of all available documentation, see [/docs/llms.txt](/docs/llms.txt)

For agent-facing discovery, including API and MCP surfaces, see [/docs/agents.md](/docs/agents.md)